Subject: Kernel related (?) user space crash at ARM11 MPCore

From: [email-masked] (Jamie Lokier)
Date: Mon, 21 Sep 2009 23:37:59 +0100

Catalin Marinas wrote:
> Of course, we could improve the generic mm/ code but that's not easy to 
> merge as it affects other architectures.

Then again, I seem to recall a troublesome problem with TLBs and
multiple threads in here many months ago that I didn't believe was
fully solved in corner cases, and there's this question I keep
wondering about whether O_DIRECT (used by SQL databases and QEMU among
others) is safe on these ARMs due to DMA to user-space coherence...

Maybe a bit of generic code just has to be changed.

-- Jamie